com.ibm.openpages.api.workflow

## Enum WFAccessType

- java.lang.Object
- - java.lang.Enum<WFAccessType>
  - - com.ibm.openpages.api.workflow.WFAccessType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFAccessType>

      public enum WFAccessType
      extends java.lang.Enum<WFAccessType>

  Represents the type of the access control for GRC object and transitions. Note that the access control for workflow is restricting access on top of the standard access control ( such as folder based security, record level security rules )

  Since:
    8.0.0.2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WFAccessType.WFAccess` Represents types of access
    `static class` | `WFAccessType.WFRole` Represents types of roles

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `open`
    `read`
    `standard`
    `strict`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canPerform(WFAccessType.WFAccess access, WFAccessType.WFRole role)` Returns true when the given role is authorized to run the given access operation
    `static WFAccessType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFAccessType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### strict

          public static final WFAccessType strict

    - #### open

          public static final WFAccessType open

    - #### standard

          public static final WFAccessType standard

    - #### read

          public static final WFAccessType read

  - ### Method Detail

    - #### values

          public static WFAccessType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFAccessType c : WFAccessType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFAccessType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### canPerform

          public boolean canPerform(WFAccessType.WFAccess access,
                                    WFAccessType.WFRole role)

      Returns true when the given role is authorized to run the given access operation
      Parameters:
        `access` -
        `role` -
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.